<?PHP
/*
Plugin Name: Open in New Window Plugin
Plugin URI: http://www.BlogsEye.com/
Description: Opens external links in a new window, keeping your blog page in the browser so you don't lose surfers to another site.
Version: 1.5
Author: Keith P. Graham
Author URI: http://www.BlogsEye.com/

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/

/************************************************************
* 	kpg_open_in_new_window_fixup()
*	Shows the javascript in the footer so that the links can be adjusted
*
*************************************************************/
function kpg_open_in_new_window_fixup() {
	// this is the open in new window functionality.
	
?>
<script language="javascript" type="text/javascript">
	// <!--
	// open-in-new-window-plugin
	function kpg_oinw_action(event) {
		try {
			var b=document.getElementsByTagName("a");
			for (var i = 0; i < b.length; i++) {
				// IE 6 bug - the anchor might not be a link and might not support hostname
				if (!(b[i].title)) {
					b[i].title=kpgremoveHTMLTags(b[i].innerHTML);
				}
				if (b[i] && b[i].href && b[i].href.toLowerCase().indexOf('http://') != -1) {
					if (b[i].hostname && location.hostname) {
						if ((b[i].hostname != location.hostname)) {
									b[i].target="_blank";
						}
					} else {
						if (b[i].href && (b[i].href.indexOf('<?php echo $_SERVER['HTTP_HOST']; ?>') < 0)) { 					
							b[i].target="_blank";
						}
					}
				}
			}
		} catch (ee) {}
	}
	// set the onload event
	if (document.addEventListener) {
		document.addEventListener("DOMContentLoaded", function(event) { kpg_oinw_action(event); }, false);
	} else if (window.attachEvent) {
		window.attachEvent("onload", function(event) { kpg_oinw_action(event); });
	} else {
		var oldFunc = window.onload;
		window.onload = function() {
			if (oldFunc) {
				oldFunc();
			}
				kpg_oinw_action('load');
			};
	}
	function kpgremoveHTMLTags(ihtml){
		try {
			ihtml = ihtml.replace(/&(lt|gt);/g, function (strMatch, p1){
				return (p1 == "lt")? "<" : ">";
			});
			return ihtml.replace(/<\/?[^>]+(>|$)/g, "");
		} catch (eee) {
			return '';
		}
 	}	


	 
	// -->
</script>

<?php
}
function kpg_open_in_new_window_control()  {
// this is the display of information about the page.
	$bname=urlencode(get_bloginfo('name'));
	$burl=urlencode(get_bloginfo('url'));
	$bdesc=urlencode(get_bloginfo('description'));

?>

<div class="wrap">
<h2>Open in new window Plugin</h2>
<h4>The Open in new window Plugin is installed and working correctly.</h4>
<p>This plugin installs some javascript in the footer of every page. When your page finishes loading, the javascript steps through the links on the page looking for links that lead to other domains. It alters these links so that they will open in a new window.</p>
<p>The javascript does not look in any embedded iframes, so it will not work with some ads and affiliate links. It will also not work where other javascript is executed through an onclick event or the link begins with javascript:</p>
<p>There are no configurations options. The plugin is on when it is installed and enabled. To turn it off just disable the plugin from the plugin menu.. </p>
<p>Since the javascript does not run until the web page is completely loaded, links on a page that is slow to load will not open in a new window until the page is fully loaded.</p>
<p>I would like to know who is using my plugins. I have created a page where you can register your blog. It gives you a backlink from my blog to yours in a <a target="_blank" href="http://www.blogseye.com/open-in-new-window-links">list of links</a> and I get to watch in satisfaction as the links grow. <a href="http://www.blogseye.com/addLink.php?f=<?php echo $bname; ?>&u=<?php echo $burl; ?>&d=<?php echo $bdesc; ?>&r=oinw" target="hiframe">Add Your Blog to the BlogsEye Open In New Window Directory</a></p>
<iframe name="hiframe" id="hiframe" width=0 height=0 style="position:absolute;top:-1px;left:-1px;width:0;height:0;"></iframe></p> 

<hr/>
<h3>If you like this plugin, why not try out these other interesting plugins.</h3>
<?php
// list of plugins
$p=array(
"facebook-open-graph-widget"=>"The easiest way to add a Facebook Like buttons to your blog' sidebar",
"threat-scan-plugin"=>"Check your blog for virus, trojans, malicious software and other threats",
"open-in-new-window-plugin"=>"Keep your surfers. Open all external links in a new window",
"youtube-poster-plugin"=>"Automagically add YouTube videos as posts. All from inside the plugin. Painless, no heavy lifting.",
"permalink-finder"=>"Never get a 404 again. If you have restructured or moved your blog, this plugin will find the right post or page every time",
);
  $f=$_SERVER["REQUEST_URI"];
  // get the php out
  $ff=explode('page=',$f);
  $f=$ff[1];
  $ff=explode('/',$f);
  $f=$ff[0];
  foreach ($p as $key=>$data) {
	if ($f!=$key) { 
	$kk=urlencode($key);
		?><p>&bull;<span style="font-weight:bold;"> <?PHP echo $key ?>: </span> <a href="plugin-install.php?tab=plugin-information&plugin=<?PHP echo $kk ?>&TB_iframe=true&width=640&height=669">Install Plugin</a> - <span style="font-style:italic;font-weight:bold;"><?PHP echo $data ?></span></p><?PHP 
	}
  }
?>


<hr/>

<p>This plugin is free and I expect nothing in return. However, a link on your blog to one of my personal sites would be appreciated.</p>


<p>Keith Graham</p>
<p><a target="_blank" href="http://www.cthreepo.com/blog">Wandering Blog </a>(My personal Blog) <br />
  <a target="_blank"  href="http://www.cthreepo.com">Resources for Science Fiction</a> (Writing Science Fiction) <br />
  <a target="_blank"  href="http://www.jt30.com">The JT30 Page</a> (Amplified Blues Harmonica) <br />
  <a target="_blank"  href="http://www.harpamps.com">Harp Amps</a> (Vacuum Tube Amplifiers for Blues) <br />
  <a target="_blank"  href="http://www.blogseye.com">Blog's Eye</a> (PHP coding) <br />
  <a target="_blank"  href="http://www.cthreepo.com/bees">Bee Progress Beekeeping Blog</a> (My adventures as a new beekeeper) </p>
</div

>
<form method="post" action="options.php">
<?php settings_fields( 'myoption-group' ); ?>

</form>
<?php
}
// no unistall because I have not created any meta data to delete.
function kpg_open_in_new_window_init() {
   add_options_page('Open in new window', 'Open in new window', 'manage_options',__FILE__,'kpg_open_in_new_window_control');
}
  // Plugin added to Wordpress plugin architecture
	add_action('admin_menu', 'kpg_open_in_new_window_init');	
	add_action( 'wp_footer', 'kpg_open_in_new_window_fixup' );

	
?>